Explorar o código

Fixed some typos and improved descriptions

These changes do not affect the functionality of the code.
Marvin Lehmann %!s(int64=9) %!d(string=hai) anos
pai
achega
3eee2b3690
Modificáronse 48 ficheiros con 56 adicións e 45 borrados
  1. 1 1
      Teeworlds/cfg/tdm.cfg
  2. 1 1
      lgsm/functions/alert.sh
  3. 1 1
      lgsm/functions/alert_email.sh
  4. 1 1
      lgsm/functions/alert_pushbullet.sh
  5. 0 1
      lgsm/functions/check.sh
  6. 1 1
      lgsm/functions/check_config.sh
  7. 1 1
      lgsm/functions/check_deps.sh
  8. 1 1
      lgsm/functions/check_glibc.sh
  9. 1 1
      lgsm/functions/check_ip.sh
  10. 2 2
      lgsm/functions/check_logs.sh
  11. 1 1
      lgsm/functions/check_permissions.sh
  12. 1 0
      lgsm/functions/check_root.sh
  13. 1 1
      lgsm/functions/check_status.sh
  14. 4 5
      lgsm/functions/check_steamcmd.sh
  15. 1 0
      lgsm/functions/check_system_dir.sh
  16. 1 1
      lgsm/functions/command_debug.sh
  17. 1 1
      lgsm/functions/command_dev_debug.sh
  18. 1 1
      lgsm/functions/command_fastdl.sh
  19. 1 1
      lgsm/functions/command_monitor.sh
  20. 2 2
      lgsm/functions/command_restart.sh
  21. 1 1
      lgsm/functions/command_test_alert.sh
  22. 1 1
      lgsm/functions/command_ts3_server_pass.sh
  23. 2 2
      lgsm/functions/command_update_functions.sh
  24. 1 1
      lgsm/functions/compress_unreal2_maps.sh
  25. 1 1
      lgsm/functions/compress_ut99_maps.sh
  26. 1 1
      lgsm/functions/core_exit.sh
  27. 1 1
      lgsm/functions/core_functions.sh
  28. 2 2
      lgsm/functions/core_trap.sh
  29. 1 1
      lgsm/functions/fix_csgo.sh
  30. 1 1
      lgsm/functions/fix_dst.sh
  31. 1 1
      lgsm/functions/fix_glibc.sh
  32. 1 1
      lgsm/functions/fix_steamcmd.sh
  33. 1 1
      lgsm/functions/fn_functions
  34. 1 0
      lgsm/functions/info_config.sh
  35. 1 1
      lgsm/functions/info_glibc.sh
  36. 1 0
      lgsm/functions/info_parms.sh
  37. 1 0
      lgsm/functions/install_complete.sh
  38. 1 0
      lgsm/functions/install_config.sh
  39. 1 0
      lgsm/functions/install_header.sh
  40. 1 0
      lgsm/functions/install_logs.sh
  41. 1 0
      lgsm/functions/install_retry.sh
  42. 1 0
      lgsm/functions/install_server_dir.sh
  43. 1 0
      lgsm/functions/install_server_files.sh
  44. 1 0
      lgsm/functions/install_ts3db.sh
  45. 1 0
      lgsm/functions/install_ut2k4_key.sh
  46. 3 3
      lgsm/functions/monitor_gsquery.sh
  47. 1 1
      lgsm/functions/update_steamcmd.sh
  48. 1 1
      tests/tests_jc2server.sh

+ 1 - 1
Teeworlds/cfg/tdm.cfg

@@ -1,6 +1,6 @@
 // ****************************************************************************
 //                                                                            *
-//     TeeWorlds - tdm.cfg                                                    *
+//     Teeworlds - tdm.cfg                                                    *
 //     Version 281015                                                         *
 //                                                                            *
 // ****************************************************************************

+ 1 - 1
lgsm/functions/alert.sh

@@ -28,7 +28,7 @@ fn_alert_restart_query(){
 fn_alert_update(){
 	fn_script_log_info "Sending update alert"
 	alertsubject="LGSM - Updated - ${servername}"
-	alertbody="${servicename} recieved update"
+	alertbody="${servicename} received update"
 }
 
 if [ "${alert}" == "restart" ]; then

+ 1 - 1
lgsm/functions/alert_email.sh

@@ -2,7 +2,7 @@
 # LGSM alert_email.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Sends email alert if monitor picks up a failure.
+# Description: Sends email alert including server details and logs.
 
 local commandname="ALERT"
 local commandaction="Alert"

+ 1 - 1
lgsm/functions/alert_pushbullet.sh

@@ -2,7 +2,7 @@
 # LGSM alert_pushbullet.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: alerts using pushbullet.
+# Description: Sends Pushbullet alert including the server status.
 
 local commandname="ALERT"
 local commandaction="Alert"

+ 0 - 1
lgsm/functions/check.sh

@@ -2,7 +2,6 @@
 # LGSM check.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-
 # Description: Overall function for managing checks.
 # Runs checks that will either halt on or fix an issue.
 

+ 1 - 1
lgsm/functions/check_config.sh

@@ -2,7 +2,7 @@
 # LGSM check_config.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: If server config missing warn user.
+# Description: Checks if the server config is missing and warns the user if needed.
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 1 - 1
lgsm/functions/check_deps.sh

@@ -2,7 +2,7 @@
 # LGSM check_deps.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Checks that the requires dependencies are installed for LGSM.
+# Description: Checks if required dependencies are installed for LGSM.
 
 local commandname="CHECK"
 

+ 1 - 1
lgsm/functions/check_glibc.sh

@@ -2,7 +2,7 @@
 # LGSM check_glibc.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Checks if server has correct glibc or has a fix available.
+# Description: Checks if the server has the correct Glibc version or a fix available.
 
 local commandname="CHECK"
 

+ 1 - 1
lgsm/functions/check_ip.sh

@@ -3,7 +3,7 @@
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
 # Description: Automatically identifies the server interface IP.
-# If multiple interfaces are detected the user will need to manualy set using ip="0.0.0.0".
+# If multiple interfaces are detected the user will need to manually set using ip="0.0.0.0".
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 2 - 2
lgsm/functions/check_logs.sh

@@ -2,12 +2,12 @@
 # LGSM check_logs.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Checks that log files exist on server start
+# Description: Checks if log files exist.
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
 
-# Create dir's for the script and console logs
+# Create directories for the script and console logs
 if [ ! -d "${scriptlogdir}" ]||[ ! -d "${consolelogdir}" ]&&[ "${gamename}" != "Teamspeak 3" ]; then
 	fn_print_dots "Checking for log files"
 	sleep 0.5

+ 1 - 1
lgsm/functions/check_permissions.sh

@@ -3,7 +3,7 @@
 # Author: Daniel Gibbs
 # Contributor: UltimateByte
 # Website: https://gameservermanagers.com
-# Description: Checks script, files and folders ownership and permissions.
+# Description: Checks ownership & permissions of scripts, files and folders.
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 1 - 0
lgsm/functions/check_root.sh

@@ -2,6 +2,7 @@
 # LGSM check_root.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Checks if the user tried to run the script as root.
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 1 - 1
lgsm/functions/check_status.sh

@@ -2,7 +2,7 @@
 # LGSM check_status.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Checks the proccess status of the server. Either online or offline.
+# Description: Checks the process status of the server. Either online or offline.
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 4 - 5
lgsm/functions/check_steamcmd.sh

@@ -2,7 +2,7 @@
 # LGSM check_steamcmd.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Checks SteamCMD is installed and correct.
+# Description: Checks if SteamCMD is installed correctly.
 
 local commandname="CHECK"
 
@@ -15,9 +15,8 @@ fn_install_steamcmd(){
 	chmod +x "${steamcmddir}/steamcmd.sh"
 }
 
-
 fn_check_steamcmd_user(){
-	# Checks steamuser is setup.
+	# Checks if steamuser is setup.
 	if [ "${steamuser}" == "username" ]; then
 		fn_print_fail_nl "Steam login not set. Update steamuser in ${selfname}."
 		echo "	* Change steamuser=\"username\" to a valid steam login."
@@ -59,7 +58,7 @@ fn_check_steamcmd_sh(){
 
 fn_check_steamcmd_guard(){
 	if [ "${function_selfname}" == "command_update.sh" ]||[ "${function_selfname}" == "command_validate.sh" ]; then
-		# Checks that steamcmd is working correctly and will prompt Steam Guard if required.
+		# Checks that SteamCMD is working correctly and will prompt Steam Guard if required.
 		"${steamcmddir}"/steamcmd.sh +login "${steamuser}" "${steampass}" +quit
 		if [ $? -ne 0 ]; then
 			fn_print_failure_nl "Error running SteamCMD"
@@ -69,5 +68,5 @@ fn_check_steamcmd_guard(){
 
 fn_check_steamcmd_user
 fn_check_steamcmd_sh
-# stdbuf has now replaced unbuffer. This shoudl no longer be required
+# stdbuf has now replaced unbuffer. This should not longer be required.
 #fn_check_steamcmd_guard

+ 1 - 0
lgsm/functions/check_system_dir.sh

@@ -2,6 +2,7 @@
 # LGSM check_system_dir.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Checks if systemdir is accessible.
 
 local commandname="CHECK"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 1 - 1
lgsm/functions/command_debug.sh

@@ -2,7 +2,7 @@
 # LGSM command_debug.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Runs the server without tmux. Runs direct from the terminal.
+# Description: Runs the server without tmux and directly from the terminal.
 
 local commandname="DEBUG"
 local commandaction="Debug"

+ 1 - 1
lgsm/functions/command_dev_debug.sh

@@ -2,7 +2,7 @@
 # LGSM command_dev_debug.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Dev only: enables debuging log to be saved to dev-debug.log.
+# Description: Dev only: Enables debugging log to be saved to dev-debug.log.
 
 local commandname="DEV-DEBUG"
 local commandaction="Dev-Debug"

+ 1 - 1
lgsm/functions/command_fastdl.sh

@@ -3,7 +3,7 @@
 # Author: Daniel Gibbs
 # Contributor: UltimateByte
 # Website: https://gameservermanagers.com
-# Description: Creates a FastDL folder
+# Description: Creates a FastDL folder.
 
 local commandname="FASTDL"
 local commandaction="FastDL"

+ 1 - 1
lgsm/functions/command_monitor.sh

@@ -2,7 +2,7 @@
 # LGSM command_monitor.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Monitors server by checking for running proccesses
+# Description: Monitors server by checking for running processes.
 # then passes to monitor_gsquery.sh.
 
 local commandname="MONITOR"

+ 2 - 2
lgsm/functions/command_restart.sh

@@ -1,8 +1,8 @@
 #!/bin/bash
-# LGSM command_start.sh function
+# LGSM command_restart.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Starts the server.
+# Description: Restarts the server.
 
 local commandname="RESTART"
 local commandaction="Restarting"

+ 1 - 1
lgsm/functions/command_test_alert.sh

@@ -2,7 +2,7 @@
 # LGSM command_test_alert.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Sends a test email alert.
+# Description: Sends a test alert.
 
 local commandname="ALERT"
 local commandaction="Alert"

+ 1 - 1
lgsm/functions/command_ts3_server_pass.sh

@@ -3,7 +3,7 @@
 # Author: Daniel Gibbs
 # Contributor : UltimateByte
 # Website: https://gameservermanagers.com
-# Description: Changes TS3 serveradmin password
+# Description: Changes TS3 serveradmin password.
 
 local commandname="TS3-CHANGE-PASS"
 local commandaction="TS3 Change Password"

+ 2 - 2
lgsm/functions/command_update_functions.sh

@@ -13,7 +13,7 @@ check.sh
 fn_script_log_info "Updating functions"
 echo -ne "\n"
 
-# Removed legecy functions dir
+# Removed legacy functions dir
 if [ -n "${rootdir}" ]; then
 	if [ -d "${rootdir}/functions/" ]; then
 		rm -rfv "${rootdir}/functions/"
@@ -26,7 +26,7 @@ if [ -n "${functionsdir}" ]; then
 		cd "${functionsdir}"
 		for functionfile in *
 		do
-			# Check curl exists and use available path
+			# Check if curl exists and use available path
 			curlpaths="$(command -v curl 2>/dev/null) $(which curl >/dev/null 2>&1) /usr/bin/curl /bin/curl /usr/sbin/curl /sbin/curl)"
 			for curlcmd in ${curlpaths}
 			do

+ 1 - 1
lgsm/functions/compress_unreal2_maps.sh

@@ -2,7 +2,7 @@
 # LGSM compress_unreal2_maps.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: compresses unreal maps
+# Description: Compresses unreal maps.
 
 local commandaction="Unreal Map Compressor"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 1 - 1
lgsm/functions/compress_ut99_maps.sh

@@ -2,7 +2,7 @@
 # LGSM compress_ut99_maps.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: compresses unreal maps
+# Description: Compresses unreal maps.
 
 local commandaction="Unreal Map Compressor"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"

+ 1 - 1
lgsm/functions/core_exit.sh

@@ -2,7 +2,7 @@
 # LGSM core_exit.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: handles exiting of LGSM by running and reporting an exit code.
+# Description: Handles exiting of LGSM by running and reporting an exit code.
 
 fn_exit_dev_debug(){
 	if [ -f "${rootdir}/.dev-debug" ]; then

+ 1 - 1
lgsm/functions/core_functions.sh

@@ -18,7 +18,7 @@ fn_fetch_function
 }
 
 
-# fn_fetch_core_dl also placed here to allow legecy servers to still download core functions
+# fn_fetch_core_dl also placed here to allow legacy servers to still download core functions
 if [ -z "${lgsmdir}" ]; then
 	lgsmdir="${rootdir}/lgsm"
 	functionsdir="${lgsmdir}/functions"

+ 2 - 2
lgsm/functions/core_trap.sh

@@ -2,12 +2,12 @@
 # LGSM core_trap.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: handles ctrl-C trap to give an exitcode.
+# Description: Handles CTRL-C trap to give an exit code.
 
 fn_exit_trap(){
 	echo ""
 	core_exit.sh
 }
 
-# trap to give an exitcode.
+# trap to give an exit code.
 trap fn_exit_trap INT

+ 1 - 1
lgsm/functions/fix_csgo.sh

@@ -2,7 +2,7 @@
 # LGSM fix_csgo.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Resolves various issues with csgo.
+# Description: Resolves various issues with CS:GO.
 
 local commandname="FIX"
 local commandaction="Fix"

+ 1 - 1
lgsm/functions/fix_dst.sh

@@ -2,7 +2,7 @@
 # LGSM fix_dst.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Resolves various issues with Dont Starve together.
+# Description: Resolves various issues with Don't Starve Together.
 
 local commandname="FIX"
 local commandaction="Fix"

+ 1 - 1
lgsm/functions/fix_glibc.sh

@@ -2,7 +2,7 @@
 # LGSM fix_glibc.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Downloads required glibc files and applys teh glibc fix if required
+# Description: Downloads required Glibc files and applies the Glibc fix if required.
 
 local commandname="FIX"
 local commandaction="Fix"

+ 1 - 1
lgsm/functions/fix_steamcmd.sh

@@ -2,7 +2,7 @@
 # LGSM fix_steamcmd.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: Resolves various issues related to steamCMD.
+# Description: Resolves various issues related to SteamCMD.
 
 local commandname="FIX"
 local commandaction="Fix"

+ 1 - 1
lgsm/functions/fn_functions

@@ -4,7 +4,7 @@
 # Website: https://gameservermanagers.com
 lgsm_version="210516"
 
-# Description: Redirect to new core_functions.sh
+# Description: Redirects to new core_functions.sh
 
 core_functions.sh(){
 # Functions are defined in core_functions.sh.

+ 1 - 0
lgsm/functions/info_config.sh

@@ -375,6 +375,7 @@ elif [ "${engine}" == "source" ]||[ "${engine}" == "goldsource" ]; then
 # Starbound
 elif [ "${engine}" == "starbound" ]; then
 	fn_info_config_starbound
+# TeamSpeak 3
 elif [ "${gamename}" == "Teamspeak 3" ]; then
 	fn_info_config_teamspeak3
 # Teeworlds

+ 1 - 1
lgsm/functions/info_glibc.sh

@@ -2,7 +2,7 @@
 # LGSM info_glibc.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: stores details on servers Glibc requirements.
+# Description: Stores details on servers Glibc requirements.
 
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
 

+ 1 - 0
lgsm/functions/info_parms.sh

@@ -143,6 +143,7 @@ elif [ "${engine}" == "source" ]||[ "${engine}" == "goldsource" ]; then
 # Teeworlds
 elif [ "${engine}" == "teeworlds" ]; then
 	fn_info_config_teeworlds
+# Terraria
 elif [ "${engine}" == "terraria" ]; then
 	fn_info_config_terraria
 # Unreal/Unreal 2 engine

+ 1 - 0
lgsm/functions/install_complete.sh

@@ -2,6 +2,7 @@
 # LGSM install_complete.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Prints installation completion message and hints.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_config.sh

@@ -2,6 +2,7 @@
 # LGSM install_config.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Creates default server configs.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_header.sh

@@ -2,6 +2,7 @@
 # LGSM install_header.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Prints installation header.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_logs.sh

@@ -2,6 +2,7 @@
 # LGSM install_logs.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Creates log directories.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_retry.sh

@@ -2,6 +2,7 @@
 # LGSM install_retry.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Asks for installation retry after failure.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_server_dir.sh

@@ -2,6 +2,7 @@
 # LGSM install_server_dir.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Creates the server directory.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_server_files.sh

@@ -2,6 +2,7 @@
 # LGSM install_server_files.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Installs server files.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_ts3db.sh

@@ -3,6 +3,7 @@
 # Author: Daniel Gibbs
 # Contributor: PhilPhonic
 # Website: https://gameservermanagers.com
+# Description: Installs the database server MariaDB for TeamSpeak 3.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 1 - 0
lgsm/functions/install_ut2k4_key.sh

@@ -2,6 +2,7 @@
 # LGSM install_ut2k4_key.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
+# Description: Activates ut2k4 server with given key.
 
 local commandname="INSTALL"
 local commandaction="Install"

+ 3 - 3
lgsm/functions/monitor_gsquery.sh

@@ -2,14 +2,14 @@
 # LGSM monitor_gsquery.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description: uses gsquery.py to query the server port.
-# Detects if the server has frozen with the proccess still running.
+# Description: Uses gsquery.py to query the server port.
+# Detects if the server has frozen with the process still running.
 
 local commandname="MONITOR"
 local commandaction="Monitor"
 local function_selfname="$(basename $(readlink -f "${BASH_SOURCE[0]}"))"
 
-# Forces legecy servers to use gsquery
+# Forces legacy servers to use gsquery
 if [ -z "${gsquery}" ]; then
 	gsquery="yes"
 fi

+ 1 - 1
lgsm/functions/update_steamcmd.sh

@@ -2,7 +2,7 @@
 # LGSM update_steamcmd.sh function
 # Author: Daniel Gibbs
 # Website: https://gameservermanagers.com
-# Description:Handles updating using steamCMD.
+# Description: Handles updating using SteamCMD.
 
 local commandname="UPDATE"
 local commandaction="Update"

+ 1 - 1
tests/tests_jc2server.sh

@@ -465,7 +465,7 @@ echo ""
 echo "4.8 - validate - online"
 echo "================================="
 echo "Description:"
-echo "validate server files while server while already running."
+echo "validate server files while server already running."
 echo ""
 echo "Command: ./jc2server validate"
 requiredstatus="ONLINE"